<template lang="pug">
    ScreenWrapper(
      showTitle
      :title="screenTitle"
      :backRoute="{ name: 'home' }"
      :loading="loading"
    )
      SettingsCurrencies(
        :currencies="currencies"
      )
</template>

<script>
import { mapState, mapGetters } from 'vuex';

import SettingsCurrencies from './components/SettingsCurrencies.vue';
import ScreenWrapper from '../../common/ScreenWrapper.vue';
import DictionaryMapping from '../../../i18n/DictionaryMapping';

export default {
  name: 'CurrencySettings',

  components: {
    ScreenWrapper,
    SettingsCurrencies,
  },

  computed: {
    ...mapState('currency', [
      'loading',
    ]),

    ...mapGetters('locale', [
      'dictionary',
    ]),

    ...mapGetters('currency', [
      'currencies',
    ]),

    screenTitle() {
      return this.dictionary[DictionaryMapping.ScreenTitle.CURRENCIES];
    },
  },

  async mounted() {
    await this.$store.dispatch('currency/fetchCurrencyData');
  },
};
</script>

<style lang="stylus" scoped>

</style>
